Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component.simple
Class PassThroughComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.simple.PassThroughComponent

All Implemented Interfaces:
  Component, FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

    public class PassThroughComponent

extends AbstractComponent

`PassThroughComponent` will simply return the payload back as the result. This typically you don't need to specify this, since it is used by default.

Field Summary

Fields inherited from class org.mule.component.AbstractComponent
`flowConstruct, interceptorChain, interceptors, logger, muleContext, notificationHandler, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PassThroughComponent()`

Method Summary
`protected Object` | `doInvoke(MuleEvent event)`

Methods inherited from class org.mule.component.AbstractComponent
`createResultEvent, dispose, doDispose, doInitialise, doStart, doStop, fireComponentNotification, getFlowConstruct, getInterceptors, getStatistics, initialise, process, release, setFlowConstruct, setInterceptors, setMuleContext, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PassThroughComponent

    public PassThroughComponent()

Method Detail

### doInvoke

    protected Object doInvoke(MuleEvent event)
                       throws Exception

  Specified by:
    `doInvoke` in class `AbstractComponent`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.